#ifndef _ATTR_H_
#define _ATTR_H_

//Header file containing attribute structures.

#include <header.h>
#include <train.h>

//Types of Level Layers
#define LEVEL_ATTRMAP  1

//Default Values 
#define ATTR_NULL -1

//Attribute Map
struct _attrmap{
	int width,height;
	int tilewidth,tileheight;
        int ntrains;
	int *traindata;
	int r,g,b,a;
	int timesec;
	int pad[5];
};

typedef struct _attrmap attrmap;

#endif //_ATTR_H_