//Source file for Game Win/Lose.

#include <header.h>
#include <game.h>
#include <global.h>
#include <gamestate.h>

//Game Win Color Cycling Palette
int cyr[16]={255,255,255,255,255,255,173,  8,  8,  8,  8,  8, 41,140,206,255};
int cyg[16]={ 12,101,101,158,211,255,223,207,207,142,142, 81, 12, 12, 12, 12};
int cyb[16]={  0,  0,  0,  0,  0,  0,  8, 16, 16,206,206,206,206,206,123,  0};

//Color Cycle Counter
int cyc=0;

//Game Over Initialization
void game_lost_init(){}

//Game Over Logic
void game_lost_logic(){}

//Game Over Input
void game_lost_input(){
	int k=-1;
	if(!keypressed()) return;

	k=readkey(); k>>=8;
	if(k==KEY_ENTER) state_switch(GAME_MENU);
}

//Game Over Render
void game_lost_render(){
	textout_centre_ex(dbuffer, font, "G A M E  O V E R", dbuffer->w/2, 236, makecol(255,0,0), -1);	
}

//Game Over Quit
void game_lost_quit(){}


//Game Win Initialization
void game_win_init(){
	cyc=0;	
}

//Game Win Logic
void game_win_logic(){
	cyc++; cyc&=15; //Cycle Color Palette
}

//Game Win Input
void game_win_input(){
	int k=-1;
	if(!keypressed()) return;

	k=readkey(); k>>=8;
	if(k==KEY_ENTER) state_switch(GAME_CREDITS); //To Credits!
}

//Game Win Render
void game_win_render(){
	textout_centre_ex(dbuffer, font, "Y O U   W I N", dbuffer->w/2, 236, makecol(cyr[cyc],cyg[cyc],cyb[cyc]), -1);
}

//Game Win Quit
void game_win_quit(){
	cyc=0;
}